Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

SOLVED

Not able to install any package through Package Manager

Avatar

Level 2

I have been having this issue since last week. Tried to create a new AEM instance so I deleted the crx-quickstart folder and started AEM again. Everything went fine but when I tried to install the AEM service pack it could not be installed. The same behavior is happening for any package being installed through http://localhost:4502/crx/packmgr/index.jsp and I get the following error:

AEM_Dev_Newbie_0-1590404955539.png

Also get the following error in logs whenever the above problem occurs:

*ERROR* [qtp1913257142-71] org.apache.jackrabbit.vault.packaging.impl.ZipVaultPackage Error during install.
org.eclipse.jetty.io.RuntimeIOException: org.eclipse.jetty.io.EofException
at org.eclipse.jetty.server.ResponseWriter.isOpen(ResponseWriter.java:133) [org.apache.felix.http.jetty:4.0.8]
at org.eclipse.jetty.server.ResponseWriter.format(ResponseWriter.java:467) [org.apache.felix.http.jetty:4.0.8]
at org.eclipse.jetty.server.ResponseWriter.printf(ResponseWriter.java:439) [org.apache.felix.http.jetty:4.0.8]
at com.day.crx.packaging.impl.response.StreamedScriptResponse.writeCallback(StreamedScriptResponse.java:228) [com.adobe.granite.crx-packagemgr:1.2.74]
at com.day.crx.packaging.impl.response.StreamedScriptResponse.access$000(StreamedScriptResponse.java:44) [com.adobe.granite.crx-packagemgr:1.2.74]
at com.day.crx.packaging.impl.response.StreamedScriptResponse$1.flush(StreamedScriptResponse.java:82) [com.adobe.granite.crx-packagemgr:1.2.74]
at java.io.PrintWriter.flush(Unknown Source)...

There are more lines in error.log

 

I have tried starting AEM in a completely fresh browser such that not extensions interfere or any scripts don't get blocked. Still no luck. This problem started happening suddenly. There has been no change in the way I start new AEM instances and no change in code or my system's Java installation.

1 Accepted Solution

Avatar

Correct answer by
Level 2

I have noticed similar problems after updating the chrome to Version 83.0.4103.61 (Official Build) (64-bit).

It looks like new chrome close the connection too early and I am not able to upload the package with Chrome.

Try different browser and let's hope it will be fixed in next Chrome update.

View solution in original post

0 Replies

Avatar

Level 1

It's Chrome Browser issue, works with Mozilla . 

 

Thanks.

Avatar

Level 3

Hi,

 

This issues is with chrome browser latest version 83.0.4103.61 . There is a known bug reported Jira bug number : GRANITE-30226 with Adobe for fix.

 

In the meanwhile you can use other browsers for installing.

 

Thanks,

 

 

 

Avatar

Level 1

I was also facing the same issue since yesterday and after checking this post i tried internet explorer to upload the package. I was able to do so. So it seems issue is with latest version of Chrome.

 

Following error i was getting:

 

org.apache.jackrabbit.vault.packaging.impl.ZipVaultPackage Error during install. org.eclipse.jetty.io.RuntimeIOException: org.eclipse.jetty.io.EofException

Avatar

Employee Advisor

The issue has come up with the customers who are upgrading to the latest chrome version Version 83.0.4103.61 (Official Build). The fix will be available soon for the customers. Or you can open a daycare ticket to get the hot-fix. Workaround would be to build and deploy packages with other browsers like Firefox, Edge or IE

Avatar

Level 3

This issue is resolved with the latest version of Chrome Version 83.0.4103.97 (Official Build) (64-bit)

 

You can also raise a support ticket to get a fix if you are not upgrading Chrome 

Avatar

Level 3

 

This issue is resolved with the latest version of Chrome Version 83.0.4103.97 (Official Build) (64-bit)

 

You can also raise a support ticket to get a fix if you are not upgrading Chrome 

Avatar

Level 2

This issue has been resolved in the latest AEM service pack 6.5.5.